Skip to main content
Network Management/Network Services/Security Group
GETSecurity GroupSince 0.6SynchronousAuth Required

QuerySecurityGroup

QuerySecurityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. See error

    • codeStringRequired

      Error code number, a globally unique identifier for the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root error: the source error that caused the current error. If there is no original error, this field is null

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the resource, uniquely identifying the resource

    • nameStringRequired

      The resource name

    • descriptionStringRequired

      The detailed description of the resource

    • stateStringRequired

      当前状态。

    • ipVersionIntegerRequired

      The IP version number

    • createDateTimestampRequired

      The creation time

    • lastOpDateTimestampRequired

      The last modification time

    • attachedL3NetworkUuidsSetRequired

      No description provided.

    • rulesListRequired

      See rules

      • uuidStringRequired

        The UUID of the resource, uniquely identifying the resource

      • securityGroupUuidStringRequired

        The security group UUID

      • typeStringRequired

        The traffic type

      • ipVersionIntegerRequired

        The IP version number

      • startPortIntegerRequired

        For TCP/UDP, it is the start port number of the port range; for ICMP, it is the ICMP type

      • endPortIntegerRequired

        For TCP/UDP, it is the end port number of the port range; for ICMP, it is the ICMP code

      • protocolStringRequired

        The traffic protocol type

      • stateStringRequired

        The availability state of the rule, not implemented in the current version

      • allowedCidrStringRequired

        The allowed CIDR. It has different meanings depending on the traffic type. For Ingress, it is the source CIDR allowed to access the VM NIC. For Egress, it is the destination CIDR that traffic is allowed to reach from the VM NIC

      • remoteSecurityGroupUuidStringRequired

        远程安全组UUID。

      • createDateTimestampRequired

        The creation time

      • lastOpDateTimestampRequired

        The last modification time

Endpoint

GET/zstack/v1/security-groups

/zstack/v1/security-groups

Operation ID

QuerySecurityGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/security-groups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "6f757e65fed243babeac0be896e77caf", "name": "web", "description": "for test", "state": "Enabled", "createDate": "Jun 7, 2017 9:20:34 PM", "lastOpDate": "Jun 7, 2017 9:20:34 PM", "internalId": 0.0 } ] }

Change History

This API has no change history records yet.

View all change history